﻿Public Class Form1

    'Deklarace proměných
    Dim okraj As Integer
    Dim cas As Integer
    Dim pocet_radku As Integer

    Dim bQuit As Boolean
    Dim directory As String
    Dim image As String

    Private Sub ukonceni()
        If MsgBox("Opravdu chcete ukončit aplikaci?", MsgBoxStyle.YesNo, "Dotaz") = MsgBoxResult.Yes Then
            bQuit = True
            End
        End If
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        FolderBrowserDialog1.ShowDialog()
        If My.Computer.FileSystem.DirectoryExists(FolderBrowserDialog1.SelectedPath) = True Then
            directory = FolderBrowserDialog1.SelectedPath
            TextBox1.Text = directory
            FileListBox1.Path = directory
            FileListBox1.SelectedIndex = 0
        End If
    End Sub

    Private Sub Form1_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyDown
        If e.KeyCode = Keys.Enter Then
            If My.Computer.FileSystem.FileExists(TextBox1.Text) = True Then
                If image.Contains(".jpg") = True Or image.Contains(".jpeg") Or image.Contains(".JPG") Or image.Contains(".JPEG") Or image.Contains(".bmp") Or image.Contains(".png") Then
                    PictureBox1.ImageLocation = TextBox1.Text
                Else
                    TextBox1.Text = PictureBox1.ImageLocation
                End If
            Else
                TextBox1.Text = PictureBox1.ImageLocation
            End If
        End If

        If e.KeyCode = Keys.Escape Then
            ukonceni()
        End If

        If e.KeyCode = Keys.PageDown Then
            FileListBox1.SelectedIndex = FileListBox1.SelectedIndex + 1
        End If

        If e.KeyCode = Keys.PageUp Then
            If FileListBox1.SelectedIndex > 0 Then FileListBox1.SelectedIndex = FileListBox1.SelectedIndex - 1
        End If

        If e.KeyCode = Keys.Home Then
            FileListBox1.SelectedIndex = 0
        End If

    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        okraj = 50

        'Načítání stavu z .ini souborů (poslední zobrazený obrázek a poslední prohlížená složka)
        If My.Computer.FileSystem.FileExists("C:\19\Uloha_final\last_directory.ini") Then
            directory = My.Computer.FileSystem.ReadAllText("C:\19\Uloha_final\last_directory.ini")
            FileListBox1.Path = directory
            FolderBrowserDialog1.SelectedPath = directory
        Else
            FolderBrowserDialog1.ShowDialog()
            directory = FolderBrowserDialog1.SelectedPath
            TextBox1.Text = directory
            FileListBox1.Path = directory
        End If

        If My.Computer.FileSystem.FileExists("C:\19\Uloha_final\last_image.ini") Then
            PictureBox1.ImageLocation = My.Computer.FileSystem.ReadAllText("C:\19\Uloha_final\last_image.ini")
            TextBox1.Text = PictureBox1.ImageLocation
            Label2.Text = "Vytvořeno: " & My.Computer.FileSystem.GetFileInfo(PictureBox1.ImageLocation).CreationTime
        End If

    End Sub

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        'Nastavení pozicí a zobrazení
        Button5.Location = New Point(Me.Width - Button5.Width - okraj, Me.Height - Button5.Height - okraj)
        TextBox1.Width = Me.Width - TextBox1.Location.X - okraj
        Label1.Location = New Point(200, Me.Height - okraj - 50)
        Label2.Location = New Point(200, Me.Height - okraj - 20)
        PictureBox1.Location = New Point(200, 73)
        PictureBox1.Width = Me.Width - 200 - okraj
        PictureBox1.Height = Me.Height - 135 - okraj
        FileListBox1.Height = Me.Height - 160
        image = directory & "\" & FileListBox1.SelectedItem
        If image.Contains(".jpg") = True Or image.Contains(".jpeg") Or image.Contains(".JPG") Or image.Contains(".JPEG") Or image.Contains(".bmp") Or image.Contains(".png") Then
            TextBox1.Text = image
            PictureBox1.ImageLocation = image
            Label2.Text = "Vytvořeno: " & My.Computer.FileSystem.GetFileInfo(image).CreationTime
        End If

        If CheckBox1.Checked <> True Then
            PictureBox1.SizeMode = PictureBoxSizeMode.StretchImage
        Else
            PictureBox1.SizeMode = PictureBoxSizeMode.Zoom
        End If

        If Timer2.Enabled = True Then
            Label3.Visible = True
        Else
            Label3.Visible = False
        End If

        'Ukládání proměnných do .ini souborů
        My.Computer.FileSystem.WriteAllText("C:\19\Uloha_final\last_image.ini", String.Empty & PictureBox1.ImageLocation, False)
        My.Computer.FileSystem.WriteAllText("C:\19\Uloha_final\last_directory.ini", String.Empty & directory, False)
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        FileListBox1.SelectedIndex = FileListBox1.SelectedIndex + 1
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        If FileListBox1.SelectedIndex > 0 Then FileListBox1.SelectedIndex = FileListBox1.SelectedIndex - 1
    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        'Prezentace
        If Timer2.Enabled = False Then
            If FileListBox1.SelectedIndex < 0 Then FileListBox1.SelectedIndex = 0
            Timer2.Enabled = True
            cas = 5
            Label3.Text = "00:0" & cas
            Button4.Text = "Zastavit prezentaci"
        Else
            Timer2.Enabled = False
            Button4.Text = "Spustit prezentaci"
        End If
    End Sub

    Private Sub Timer2_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer2.Tick
        If cas > 0 Then cas = cas - 1
        If cas = 0 Then
            FileListBox1.SelectedIndex = FileListBox1.SelectedIndex + 1
            cas = 5
        End If
        Label3.Text = "00:0" & cas
    End Sub

    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        ukonceni()
    End Sub

    Private Sub PictureBox1_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles PictureBox1.DoubleClick
        'Zobrazení na celé obrazovce
        form2.Show()
        Form2.BackgroundImage = PictureBox1.Image
        Form2.Size = New Point(My.Computer.Screen.Bounds.Width, My.Computer.Screen.Bounds.Height)
        Form2.Location = New Point(0, 0)
    End Sub

    Private Sub Button6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button6.Click
        'Zobrazení na celé obrazovce
        form2.Show()
        form2.BackgroundImage = PictureBox1.Image
        form2.Size = New Point(My.Computer.Screen.Bounds.Width, My.Computer.Screen.Bounds.Height)
        form2.Location = New Point(0, 0)
    End Sub

End Class
